Name:           denf-repo-release
Version:        6
Release:        1%{?dist}
Summary:        Extra Packages for Enterprise Linux repository configuration

Group:          System Environment/Base
License:        GPL
URL:            http://www.fateyev.com/RPMS/

Source0:        http://www.fateyev.com/files/RPM-GPG-KEY-DENF
Source1:        GPL
Source2:        denf.repo

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:     noarch
Requires:      redhat-release >=  %{version}
Conflicts:     fedora-release

%description
This package contains the RHEL repository from Denis Fateyev (DENF)
GPG key as well as configuration for yum.

%prep

%setup -q  -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .

%build

%install
rm -rf $RPM_BUILD_ROOT

# GPG Key
install -Dpm 644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-DENF

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL
#%config(noreplace) /etc/yum.repos.d/*
# rewrite repofile explicitly
/etc/yum.repos.d/*
/etc/pki/rpm-gpg/*

# clear existing `denf` gpg key
%pre
# remove rpm-lock (rude!)
rm -rf /var/lib/rpm/.rpm.lock
for package in `rpm -qa | grep gpg-pubkey`; do
    if [ `rpm -qi $package | grep -ic 'denis@fateyev'` -gt 0 ]; then
	# remove appropriate package
	rpm -e --allmatches $package
    fi
done

%changelog
* Sat May 19 2012 Denis Fateyev <denis@fateyev.com> - 6.1.denf
- Add extras repository and update key parameters

* Sun Jul 17 2011 Denis Fateyev <denis@fateyev.com> - 6.0.denf
- Rebuild for RHEL6

* Fri May 06 2011 Denis Fateyev <denis@fateyev.com> - 5.5.denf
- Update spec for RHEL/CentOS new versions

* Sat Jan 15 2011 Denis Fateyev <denis@fateyev.com> - 5.4.denf
- Initial package for RHEL/CentOS
